package TDS::AccessLog::DirInfo;
# $Id: DirInfo.pm,v 1.9 2000/09/17 03:01:09 tom Exp $
################################################################

=head1 NAME

TDS::AccessLog::DirInfo - キャッシュディレクトリ情報

=head1 SYNOPSIS

 use TDS::AccessLog::DirInfo;


=cut

use strict;
use Exporter;

use ObjectTemplate;

use TDS::System;
use TDS::DirInfo;

use vars qw(@ISA @EXPORT
	    $LogDir);

#@ISA = qw(Exporter);
@ISA = qw(ObjectTemplate);
@EXPORT = qw(attributes GetLogDir);


=head1 STATIC VARIABLES

 $LogDir     ログを置くディレクトリ

=cut

# web_diary_dir からの相対パス    
$LogDir = "log";

=head1 STATIC FUNCTIONS

=head2 GetLogFilename();

動的、静的に合ったキャッシュディレクトリを返す。

=cut

sub GetLogFilename($;$$$)
{
    my ($self, $year, $month, $prefix) = @_;

    $prefix .= "-" if $prefix;
    return sprintf("%s/%s%04d-%02d.log",
		   GetLogDir(),
		   $prefix,
		   $year, $month);
}
sub GetLogDir
{
    return GetWebDiaryDir() . "/$LogDir";
}
    
1;
